Hallo, Gast! (AnmeldenRegistrieren)
Hol dir unsere App:


WhatsApp und Facebook unter 4.2.1 installieren
  • 3 Bewertungen - 3.33 im Durchschnitt
  • 1
  • 2
  • 3
  • 4
  • 5
Olli Offline
Posting Freak
*****

Beiträge: 15.365
Registriert seit: Jan 2008
Bewertung 749

21.11.2012 08:36 | #1
WhatsApp und Facebook unter 4.2.1 installieren
[Bild: 05778287173495285184.png]
Nach den letzten Aktualisierungen der beiden Social Apps WhatsApp und Facebook, setzen beide die Firmware 4.3 voraus. Damit sind allerdings Besitzer eines iPhone 3G nicht mehr in der Lage diese zu nutzen, da 4.2.1 die letzte Firmware für das iDevice ist.
Wir zeigen Euch in einer Kurzanleitung, wie Ihr WhatsApp u.ä. auch weiterhin installieren und dann im Anschluss nutzen könnt.

Die Grundvoraussetzung für die Nutzung von WhatsApp / Facebook auf einer Firmware kleiner der 4.3, ist ein Jailbreak des entsprechenden Gerätes.

Wie dieser vollzogen wird, erfahrt Ihr hier >>KLICK<<

TIPP vorab: Damit WhatsApp / Facebook bei einer iTunes Sychronisierung nicht entfernt wird, entfernt den Haken in iTunes bei "Apps sychronisieren" und klickt auf Anwenden.

Zur weiteren Vorbereitung benötigen wir ein Tool wie iFile (via Cydia) / SSH Verbindung zum Gerät / DiskAid u.ä zur Bearbeitung der SystemVersion.plist im Dateisystem des iOS.

Dazu navigiert Ihr in folgenden Ordner (am Beispiel von iFile):

Code:
/System/Library/CoreServices

Öffnet “SystemVersion.plist” im Property List Viewer oder Textbetrachter und ändert 4.2.1 auf 4.3 ab. Die ProductBuildVersion muss für die Installation von WhatsApp / Facebook nicht geändert werden.

Code:
<key>Product Version</key>
<string>4.3</string>

anschließend mit dem Fertig-Button speichern & schließen.

Nun muss ein Respring (keinen Neustart! – der führt mit geänderter Plist unter Umständen zu einem Bootloop) mittels SBSettings durchgeführt werden.

Nun könnt Ihr im App Store WhatsApp erwerben und installieren. Dieser Fix funktioniert auch für ein Update von ähnlich davon betroffenden Programme wie z.B. Facebook, die in gleichem Atemzug mit installiert werden können.

ACHTUNG / WICHTIG: Anschließend unbedingt die SystemVersion.plist wieder auf die 4.2.1 ändern, abspeichern und einen Respring durchführen.

Schlussendlich WhatsApp / Facebook starten und auf der 4.2.1 uneingeschränkt nutzen.

Noch ein allgemeiner Warnhinweis: Eingriffe ins System sind immer mit einem gewissen Risiko verbunden und sollten nur durchgeführt werden, wenn man sich dessen bewusst ist. Das iSzene Team kann keinerlei Haftung für eventuelle Schäden am Gerät übernehmen und empfiehlt die obrige Vorgehensweise nur dem erfahrenen Benutzer.


UPDATE:

Auf Grund der weiterhin vielen Nachfragen hier noch einmal ein Hinweis: Durch die neue Version von WhatsApp funktioniert die oben genannte Methode (bis auf eine Ausnahme) grundsätzlich nicht mehr. Es gilt folgendes:

*Leopard* schrieb:Also ich habe jetzt alles probiert. Und damit meine ich wirklich alles. Es geht nicht. Es liegt daran, dass Whatsapp 2.8.7 für armv7 Geräte, also ab dem 3GS programmiert wurde. Das 3G ist ein armv6-Gerät. Da kann man auch nachträglich nichts machen. Man müsste die App neu schreiben. Dass man die App nicht installieren kann hat nichts mit der Firmwarearchitektur zu tun sondern mit der Hardware, die verbaut ist.

Man kann auch nichts faken. Selbst, wenn man eine ältere Version installieren würde, was ja geht, und es schaffen würde dem Whatsappserver vorzugaukeln es wäre die aktuelle Version installiert, was man sowieso nicht schafft, dann nützt einem das gar nichts. In der neuen Version müssen 6 Ziffern eingegeben werden zur Identifizierung. In den älteren Versionen können aber nur 3 Ziffern eingegeben werden.

Ich habe auch versucht eine alte Version zu installieren und ein BackUp einer neueren Version einzuspielen. Das erkennt Whatsapp sofort und man muss sich neu identifizieren.

In diesem Fall kann man nichts machen ausser die App neu schreiben. Oder sich ein neueres Gerät kaufen.

De einzige Ausnahme wie man Whatsapp auf dem 3G noch zum laufen bringt ist, wenn man eine alte Version beitzt mit dem dazu passenden iPhonebackup.

Man kann nicht beispielsweise die 2.8.5 auf dem 3G installieren und ein Backup eines anderen iPhones mit Whatsapp 2.8.7 installieren. Das erkennt Whatsapp und man muss sich neu identifzieren.


UPDATE 2:

Nach Berichten von einigen Usern wird mittlerweile die Authentifizierung nicht mehr benötigt. Demnach ist es zur Zeit wohl möglich eine ältere WhatsApp-Version zu installieren (die aktuelle aus dem Store setzt noch immer 4.3 voraus) und diese Version ohne passendes Backup zu nutzen.
(Dieser Beitrag wurde zuletzt bearbeitet: 23.02.2013 00:26 von Nine.)
Zitat @
Zzay Offline
Member
***

Beiträge: 77
Registriert seit: Apr 2010
Bewertung 2

21.11.2012 09:10 | #2
RE: WhatsApp und Facebook unter 4.2.1 installieren
Moin, musste gestern zwangsweise das 3G meiner Freundin neu aufsetzen und musste mit Schrecken festellen, dass Whatsapp und FB 4.3 benötigt. Natürlich hatte sie kein Backup. Meiner Meinung nach ein UNDING! Zumindest was Whatsapp angeht. Und nun dieser Guide.

DANKE Cool
(Dieser Beitrag wurde zuletzt bearbeitet: 21.11.2012 09:11 von Zzay.)
Zitat @
Olli Offline
Posting Freak
(Threadstarter)
*****

Beiträge: 15.365
Registriert seit: Jan 2008
Bewertung 749

21.11.2012 09:16 | #3
RE: WhatsApp und Facebook unter 4.2.1 installieren
Daumen hoch das funktioniert meistens auch mit diversen anderen Apps - allerdings nur solange die die Firmware 4.x.x voraussetzen, denn ab iOS 5 oder gar 6, hat sich unter Umständen zu viel im Dateisystem geändert, da wären die Apps wahrscheinlich nicht ausführbar.
Zitat @
AMG55 Offline
Posting Freak
*****

Beiträge: 2.259
Registriert seit: Jan 2011
Bewertung 24

21.11.2012 10:19 | #4
RE: WhatsApp und Facebook unter 4.2.1 installieren
Auf soetwas freut sich mein bruder mit seinem iPhone 4 auf 4.1

Es lädt, installiert aber lässt sich Facebook nicht öffnen. Andere Apps schon?
(Dieser Beitrag wurde zuletzt bearbeitet: 21.11.2012 11:01 von AMG55.)

iPhone 5iPhone 4SiPad MiniiPad3 4GMacbook AiriPod
Zitat @
Takla Offline
Senior Member
****

Beiträge: 309
Registriert seit: Jun 2010
Bewertung 3

21.11.2012 12:37 | #5
RE: WhatsApp und Facebook unter 4.2.1 installieren
Das ist nur für Neuinstallationen der Apps, richtig?

Bereits vorhandene Apps werden doch sicher kein Update anzeigen, wenn 4.2.1 die letzte iOS Version auf dem 3G ist?
Zitat @
Olli Offline
Posting Freak
(Threadstarter)
*****

Beiträge: 15.365
Registriert seit: Jan 2008
Bewertung 749

21.11.2012 12:45 | #6
RE: WhatsApp und Facebook unter 4.2.1 installieren
@Takla ich befürchte schon, allerdings dürfte sich das Update nicht installieren lassen (habe leider kein 3G hier zum Test)
Zitat @
AMG55 Offline
Posting Freak
*****

Beiträge: 2.259
Registriert seit: Jan 2011
Bewertung 24

21.11.2012 14:02 | #7
RE: WhatsApp und Facebook unter 4.2.1 installieren
Auf dem iPhone 4. 4.1 ist öffnen von Facebook nicht möglich. Bisher alles verfolgt wie gesagt. Andere apps lassen sich installieren

iPhone 5iPhone 4SiPad MiniiPad3 4GMacbook AiriPod
Zitat @
Olli Offline
Posting Freak
(Threadstarter)
*****

Beiträge: 15.365
Registriert seit: Jan 2008
Bewertung 749

21.11.2012 14:07 | #8
RE: WhatsApp und Facebook unter 4.2.1 installieren
Ich tippe mal auf ein geändertes Framework ab 4.3.. Irgendwann sind dieses Firmwares halt wirklich "End-of-Life" - zumal es keinen Grund gibt beim 4er auf einer solchen alten Firmware zu bleiben.
Zitat @
AMG55 Offline
Posting Freak
*****

Beiträge: 2.259
Registriert seit: Jan 2011
Bewertung 24

21.11.2012 15:18 | #9
RE: WhatsApp und Facebook unter 4.2.1 installieren
Doch, er hat ein unlock methode die nur noch bis 4.1 geht

iPhone 5iPhone 4SiPad MiniiPad3 4GMacbook AiriPod
Zitat @
Olli Offline
Posting Freak
(Threadstarter)
*****

Beiträge: 15.365
Registriert seit: Jan 2008
Bewertung 749

21.11.2012 15:25 | #10
RE: WhatsApp und Facebook unter 4.2.1 installieren
Aja - Alte Gevey SIM ... Nach 2 Jahren ist das Ding doch eh frei, demnach würde ich an seiner Stelle mal schauen, ob er es nicht freischalten lassen kann.
Zitat @
Deufel Offline
Posting Freak
*****

Beiträge: 1.848
Registriert seit: Jul 2009
Bewertung 36

21.11.2012 15:29 | #11
RE: WhatsApp und Facebook unter 4.2.1 installieren
ich hab mir fürs 3g meiner frau die ipas von whatsapp und facebook exra gesicchert...

so ersetzte ich die neuen ipas mit den alten, installier die apps aufm 3g und tada Smiley


edit: skype braucht auch 4.3
(Dieser Beitrag wurde zuletzt bearbeitet: 21.11.2012 15:32 von Deufel.)

:-)
Zitat @
AMG55 Offline
Posting Freak
*****

Beiträge: 2.259
Registriert seit: Jan 2011
Bewertung 24

21.11.2012 17:24 | #12
RE: WhatsApp und Facebook unter 4.2.1 installieren
Olli, entsperren erst ab 24.6.2013 möglich

iPhone 5iPhone 4SiPad MiniiPad3 4GMacbook AiriPod
Zitat @
MDIphone4 Offline
Member
***

Beiträge: 231
Registriert seit: Jun 2011
Bewertung 12

23.11.2012 16:07 | #13
RE: WhatsApp und Facebook unter 4.2.1 installieren
(21.11.2012 12:37)Takla schrieb:  Das ist nur für Neuinstallationen der Apps, richtig?

Bereits vorhandene Apps werden doch sicher kein Update anzeigen, wenn 4.2.1 die letzte iOS Version auf dem 3G ist?

Doch das Update wird angezeigt aber wenn man auf Aktualisieren Drückt downloadet die app und bricht irgendwann ab und is dann im Zustand vor dem Update, ausser natürlich wenn man die Plist geändert hat


www Zitat @
kalleklaus Offline
Newbie
*

Beiträge: 3
Registriert seit: Nov 2012
Bewertung 0

29.11.2012 12:15 | #14
RE: WhatsApp und Facebook unter 4.2.1 installieren
Hallo zusammen,

bin genau nach Anleitung vorgegangen und nach Änderung der plist Datei und Respring fängt der App Store auch an Whatsapp und FB zu laden. jedoch kommt während der Installation die Fehlermeldung, dass die App nicht geladen werden kann. Die App wird zum Laden bereitstehen, sobald ich mich am PC mit Itunes verbinde. Das klappt aber nicht. Ist dieses Howto evtl. mittlerweile nicht mehr lauffähig?
Wenn ich zurück auf 4.2.1 ändere und respring mache, dann bringt der app store die Meldung, dass iOS 4.3 notwendig sei.

Danke für Eure Hilfe.
Kalle
Zitat @
Olli Offline
Posting Freak
(Threadstarter)
*****

Beiträge: 15.365
Registriert seit: Jan 2008
Bewertung 749

29.11.2012 12:54 | #15
RE: WhatsApp und Facebook unter 4.2.1 installieren
Gruebel mal Telefon vorher Beginn der plist Bearbeitung neu gestartet?
Zitat @
kalleklaus Offline
Newbie
*

Beiträge: 3
Registriert seit: Nov 2012
Bewertung 0

29.11.2012 13:50 | #16
RE: WhatsApp und Facebook unter 4.2.1 installieren
Ja, alles probiert, klappt leider nicht traurig Hab keine Idee mehr.
Zitat @
sylver Offline
***Jailbreak Freak***
*****

Beiträge: 24.348
Registriert seit: Feb 2010
Bewertung 980

29.11.2012 14:03 | #17
RE: WhatsApp und Facebook unter 4.2.1 installieren
Ändere mal die Build Version auf 8F190, sowie die ProductVersion auf 4.3.
Speichern, rebooten und nochmal probieren, dann sollte es klappen
(Dieser Beitrag wurde zuletzt bearbeitet: 29.11.2012 14:04 von sylver.)
Zitat @
kalleklaus Offline
Newbie
*

Beiträge: 3
Registriert seit: Nov 2012
Bewertung 0

29.11.2012 14:46 | #18
RE: WhatsApp und Facebook unter 4.2.1 installieren
Änderung der Build bringt leider keine Verbesserung. Was könnte es noch sein?
Zitat @
Torito Offline
Junior Member
**

Beiträge: 7
Registriert seit: Jan 2012
Bewertung 0

04.12.2012 02:03 | #19
RE: WhatsApp und Facebook unter 4.2.1 installieren
(29.11.2012 12:15)kalleklaus schrieb:  ...
bin genau nach Anleitung vorgegangen und nach Änderung der plist Datei und Respring fängt der App Store auch an Whatsapp und FB zu laden. jedoch kommt während der Installation die Fehlermeldung, dass die App nicht geladen werden kann. Die App wird zum Laden bereitstehen, sobald ich mich am PC mit Itunes verbinde. Das klappt aber nicht...

Hi
Ich hatte die gleiche Meldung und bin so vorgegangen:
Am PC Itunes (Version 11.0.0) gestartet. IPhone am PC angeschlossen. Bei ITunes unter Menüpunkt Store mit meine AppleID gemeldet (vorher ging nicht). Dann auf die Schaltfläche IPhone geklickt. Dann auf die Schaltfläche "Apps" geklickt. In der Apps-Liste Whatsapp gesucht. Rechts davon stand "Aktualisieren" und habe darauf geklickt. Dann hat ITunes die Aktualisierung und Syncronisierung gestartet und alles hat geklappt. Ich habe Whatsapp gestartet und es hat funktioniert. Dann habe ich mit der oberen Anleitung weiter gemacht, also zurück auf 4.2.1 geschrieben und Respring gemacht. Whatsapp funktioniert immer noch.
Viel Erfolg
Torito
Zitat @
*Leopard*
Unregistered

 

04.12.2012 02:05 | #20
RE: WhatsApp und Facebook unter 4.2.1 installieren
@Torito

Hast du danach mal dein iPhone mit iTunes synchronisiert? Schmeißt iTunes Whatsapp, dann nicht runter?
Zitat @

Möglicherweise verwandte Themen...
Thema: Verfasser Antworten: Ansichten: Letzter Beitrag
  Facebook kauft WhatsApp für 16 Milliarden US-Dollar Stricki 251 9.721 Gestern 19:15
Letzter Beitrag: luca s.
  Die beliebtesten Apps in Deutschland: Facebook, WhatsApp und YouTube Warrior 16 4.612 17.10.2012 20:34
Letzter Beitrag: FB07



Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste